
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>UNIX操作系统tar命令之隐患及解决方法 / iVAN</title>

    <meta name="description" content="UNIX操作系统tar命令之隐患及解决方法 unix|解决 目前,UNIX操作系统在我国金融界被广泛地采用,UNIX以其强大的功能(分时.多任务.多用户.网络互连.图形接口等),倍受金融企业青睐.中国农业银行现应用的SCO UNIX OPENSERVER50更是功能强劲. 各家银行的储蓄.会计.信用卡等计算机业务处理系统均运行在UNIX操作系统平台上.电子化的发展拓展了银行的业务领域,提高了工作效率,加强了业务的准确性.保密性.安全性,树立了银行的社会形象,产生间接的经济效益.电子化银行的发展对计算机数据的可靠性提出了更高的要求. 据笔">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">UNIX操作系统tar命令之隐患及解决方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>unix|解决</p>
<p>　　 目前，UNIX操作系统在我国金融界被广泛地采用，UNIX以其强大的功能(分时、多任务、多用户、网络互连、图形接口等)，倍受金融企业青睐。中国农业银行现应用的SCO UNIX OPENSERVER50更是功能强劲。 <br />  　　 各家银行的储蓄、会计、信用卡等计算机业务处理系统均运行在UNIX操作系统平台上。电子化的发展拓展了银行的业务领域，提高了工作效率，加强了业务的准确性、保密性、安全性，树立了银行的社会形象，产生间接的经济效益。电子化银行的发展对计算机数据的可靠性提出了更高的要求。 <br />  　　 据笔者调查，在UNIX操作系统上备份和恢复数据的控制程序决大多数是用tar命令实现的。tar命令具有使用简单好学易用的特点。但笔者在使用tar命令的过程中，发现tar命令对于中国用户具有一个严重的隐患：对文件名为汉字且较长的文件能够归档打包，但不能解开该档案包。 <br />  　　 例如： <br />  　　 1先创立一个长汉字文件名文件： <br />  　　 ＃ cd　/tmp <br />  　　 ＃ cat　/etc/passwd&gt;长长长长长长长长长长长长长长长长长长 <br />  　　 2将该文件归档至abc文件包： <br />  　　 ＃ mtar cvf abc ＊ <br />  　　 3解开或查看abc档案包： <br />  　　 ＃ tar xvf abc 或atr tvf abc <br />  　　 abc档案包将不能解开或查看。                            <br />二、 剖析 <br />  　　 UNIX的tar命令产生的归档文件称tar格式档案文件，具有以下格式： <br />  　　 1每个文件被加上了一个512字节的文件属性头，然后以512字节为单位块在包中连续存放，占有整数个块。最后一个块不能写满，其后用0x00填写。 <br />  　　 2如文件长度为零字节或是链接文件，则只有512字节的文件属性头。 <br />  　　 3用1024字节的0x00作为档案文件尾。 <br />  　　 4文件属性头结构： <br />  union hblock { <br />  　　 char dummy [512]；　　　　512字节文件属性头 <br />  　　 struct header { <br />  　　　　 char name[100]；　　 100字节以内文件名 <br />  　　　　 char mode [8]；　　　 八进制文件权限 <br />  　　　　 char uid[8]；　　　　 八进制文件主人号 <br />  　　　　 char gid[8]；　　　　 八进制文件组号 <br />  　　　　 char size[12]；　　　 八进制文件长度 <br />  　　　　 char mtime[12]；　　　八进制文件修改时间 <br />  　　　　 char chksum[8]；　　　八进制属性头校验和 <br />  　　　　 char 1inkf1ag；　　　 文件连接状态 <br />  　　　　 char 1inkname[100]；　连接文件名 <br />  　　　　 char extno[4]；　　　 连续卷分卷号 <br />  　　　　 char extota1[4]；　　　分卷个数 <br />  　　　　 char efsize[12]；　　　八进制续分卷文件长度 <br />  　　　　 char compid；　　　 文件压缩状态 <br />  　　　 }dbuf； <br />  　　 }dblock； <br />  　　 文件属性头结构中字节校验和chksum是(头结构除chksum部分的字节和)加(八进制数400)加(文件压缩状态值)后转换为八进制得到的。文件压缩状态为‘1'时表示文件内容处于压缩状态，在解包时，tar命令将自动调用compress把文件内容解压缩，而不改变文件名。 <br />  　　 笔者在分析一个含有长汉字文件名的tar档案文件时发现：长汉字文件名的属性头中chksum值是错误的。经分析发现造成这种错误的原因是：一个汉字的字节和是负整数，长汉字文件名的属性头的字节和有可能为负整数，tar命令源程序由于为西文而设计未能判断属性头字节和为负的情况。在创立档案文件时，tar命令用sprintf()函数转换属性头字节和为八进制输出到chksum，这时破坏了chksum正常格式。在打开档案文件时，tar命令用sscanf()函数从属性头按八进制格式化读取chksum时，不能得到正确数据，tar命令将中止展开档案文件。</p>
<p>三、 解决方法 <br />  　　 从上面分析我们得出以下结论：(1)要解决问题必须修改tar源程序，充分考虑汉化UNIX产生的tar档案包文件属性头中字节校验和为负的情况。(2)编写修补程序，将出错的tar档案文件属性头中字节校验和chksum修复。 <br />  　　 第一种方法需得到UNIX公司源程序级的技术支持或由UNIX公司技术人员解决，这也是笔者对UNIX公司的建议，我们只能期待。 <br />  　　 第二种方法笔者进行了有效的尝试，并用c编写了一个修补程序mtar.c，经编译成mtar运行程序，本程序具有以下功能： <br />  　　 Amtar －v tarfi1e　修补任何原因造成的tar档案包中文件的chksum错误(包括本程序的－c功能)。 <br />  　　 Bmtar －t tarfi1e　查考tar档案包中文件信息。 <br />  　　 C mtar －c tarfi1e　加密tar档案包，使tar命令不能打开该包。 <br />  　　 D mtar －p tarfi1e　将包中的所有文件置压缩状态标志。 <br />  　　 E mtar －u tarfi1e　将包中所有文件置非压缩状态标志。</p>
<p>四、 实际应用 <br />  　　 本程序使用5个选项 －t －c －v －p －u，每次只能用一个参数，每个参数对应一个功能。 <br />  　　 例如：mtar －v abc 既可修复上面提到的abc包打不开问题。 <br />  　　 mtar －v /dev/fd0135ds18可修复tar格式3″软盘。 <br />  　　 mtar －c /dev/fd0135ds18可加密tar格式3″软盘。 <br />  　　 mtar －v /dev/fd0135ds18可解密tar格式3″软盘。 <br />  　　 mtar －t abc可详细列出abc包中文件信息，sum_v=0表示文件属性头校验正常，compress=[1]表示文件抽取时自动解压缩。 <br />  　　 本程序从编写至今笔者进行了十四次改版，使该程序适合含任何文件类型的tar档案包。并在SCO UNIX 3242和SCO OPENSERVER 50下多次进行编译和全面功能测试。现将该程序整理出来，敬请同行多加指教。源程序附后。 <br />  　　 Mtar.c内容如下： <br />  　　 ＃include″stdio.h″ <br />  　　 ＃include″string.h″ <br />  　　 ＃include″unistd.h″ <br />  　　 ＃include″sys/types.h″ <br />  　　 ＃include″sys/stat.h″ <br />  　　 ＃include″fcntl.h″</p>
<p>　　 ＃define TBLOCK 512 <br />  　　 ＃define NBLOCK 20 <br />  　　 ＃define NAMSIZ 100 <br />  　　　 union hblock { <br />  　　　　　　 char dummy[TBLOCK]; <br />  　　　　　　 struct header { <br />  　　　　　　　 char name[NAMSIZ]; <br />  　　　　　　　 char mode[8]; <br />  　　　　　　　 char uid[8]; <br />  　　　　　　　 char gid[8]; <br />  　　　　　　　 char size[12]; <br />  　　　　　　　 char mtime[12]; <br />  　　　　　　　 char chksum[8]; <br />  　　　　　　　 char linkflag; <br />  　　　　　　　 char linkname[NAMSIZ]; <br />  　　　　　　　 char extno[4]; <br />  　　　　　　　 char extotal[4]; <br />  　　　　　　　 char efsize[12]; <br />  　　　　　　　 char compid; <br />  　　　　　 } dbuf, <br />  　　　 } dblock; <br />  　　 main(argc,argv) <br />  　　 int argc; <br />  　　 char ＊argv[]; <br />  　　 { <br />  　　　　 char compress; <br />  　　　　 int i,seekip=0,ip,compc; <br />  　　　　 long sum,sum_v,filesize=0,mvblock=0,total; <br />  　　　　 FILE＊fp; <br />  　　 ip=0; <br />  　　 if(strncmp(argv[1],″－c″,2)==0) ip=1; <br />  　　 if(strncmp(argv[1],″－v″,2)==0) ip=1; <br />  　　 if(strncmp(argv[1],″－t″,2)==0) ip=1; <br />  　　 if(strncmp(argv[1],″－p″,2)==0) ip=1; <br />  　　 if(strncmp(argv[1],″－u″,2)==0) ip=1;</p>
<p>　　 if(argc !=3||ip !=1) <br />  　　　　 { <br />  　　　　 printf(″Usage:mtar－[c,v,t,p,u]tarfile\n″); <br />  　　　　 exit(1); <br />  　　　　 } <br />  　　 if((fp=fopen(argv[2],″r＋″))==NULL) <br />  　　　　 { <br />  　　　　 printf(″Can not open the ％s\n″,argv[2]); <br />  　　　　 exit(1)； <br />  　　　　 } <br />  　　 while(seekip==0) <br />  　　 { <br />  　　　　 if(fread((dblock.dummy),TBLOCK,1,fp)!=1) <br />  　　　　　 { <br />  　　　　　 printf(″Can not read the％s !\n″,argv[2]); <br />  　　　　　 break; <br />  　　　　　 } <br />  　　 sum=0; <br />  　　 compc=0; <br />  　　 for(i=0;i&lt; TBLOCK;i＋＋) sum=sum＋dblock.dumm <br />  y[i]; <br />  　　 for(i=0;i&lt; 8,i＋＋)sum=sum－dblock.dbuf.chksum[i]; <br />  　　 if(sum==0)break;</p>
<p>　　 ip=0; <br />  　　 if(strncmp(argv[1],″－c″,2)==0) <br />  　　　　　 compress=dblock.dbuf.compid; <br />  　　　　　 sum_v=270＊0xff＋0400; ip=1; <br />  　　　　　 } <br />  　　 if(strncmp(argv[1],″－v″,2)==0) <br />  　　　　　 compress=dblock.dbuf.compid; <br />  　　　　　 sum_v=sum＋0400; ip=1 <br />  　　　　　 } <br />  　　 if(strncmp(argv[1],″－p″,2)==0) <br />  　　　　　 compc=dblock.dbuf.compid; <br />  　　　　　 compc=0x31－compc; <br />  　　　　　 sum_v=sum＋0400＋compc; <br />  　　　　　 compress=0x31; ip=1; <br />  　　　　　 } <br />  　　 if(strncmp(argv[1],″－u″,2)==0) <br />  　　　　　 compc=dblock.dbuf.compid; <br />  　　　　　 compc=0x00－compc; <br />  　　　　　 sum_v=sum＋0400＋compc; <br />  　　　　　 compress=0x00; ip=1; <br />  　　 } <br />  if(ip==1) <br />  　　 { <br />  　　 if(sum－v &gt;=0)sprintf (dblock.dbuf. <br />  chksum,″％60″,sum_v); <br />  　　 else <br />  　　 { <br />  　　 dblock.dbuf.chksum[0]=′－′; <br />  　　 dblock.dbuf.chksum[6]=0x00; <br />  　　 dblock.dbuf.chksum[7]=0x00; <br />  　　 sum_v=sum_v－dblock.dbuf.linkflag; <br />  　　 sum=sum－dblock.dbuf.linkflag; <br />  　　 dblock.dbuf.linkflag=0x00; <br />  　　 for(i=0;i&lt;NAMSIZ;i＋＋){ <br />  　　　　　 sum_v=sum_v－dblock.dbuf.linkname[i]; <br />  　　　　　 sum=sum－dblock.dbuf.linkname[i]; <br />  　　　　　 dblock.dbuf.linkname[i]=0x00; <br />  　　　　　 } <br />  　　 sprintf(dblock.dbuf.chksum＋1,″％－50″,－sum_v); <br />  　　 } <br />  　　 sprintf(＆dblock.dbuf.compid,″％c″,compress); <br />  　　 seekip=fseek(fp,－TBLOCK,SEEK_CUR); <br />  　　 if(seekip==0) <br />  　　　　 { <br />  　　　　 if(fwrite((dblock.dummy),TBLOCK,1,fp)!=1) <br />  　　　　　　 { <br />  　　　　 printf(″Can not read the ％s!\n″,argv[2]); <br />  　　　　　　 break; <br />  　　　　　　 } <br />  　　　　 fflush(fp); <br />  　　　　 } <br />  　　 } <br />  　　 sscanf(dblock.dbuf.size,″％12o″,＆filesize); <br />  　　 sscanf(dblock,dbuf.chksum,″％6o″,＆sum_v); <br />  　　 sum_v=sum_v－sum－0400－compc; <br />  　　 if(filesize&gt;0＆＆(dblock.dbuf.linkflag==0x00|| dbloc <br />  k.dbuf.chksum[0]==0x33)) <br />  　　　　 { <br />  　　　　 mvblock=(filesize－1)/TBLOCK＋1; <br />  　　　 seekip=fseek(fp,(long)mvblock＊TBLOCK,SEEK <br />  _CUR); <br />  　　　　 } <br />  　　　　 seekip=fseek(fp,0L,SEEK_CUR); <br />  　　 if(dblock.dbuf.linkflag==″1″) <br />  　　　 printf(″％s\n\t\tnormal linked to ％s\t\tcompress=[％c]\tsum_v=％o\n″, <br />  　　 dblock.dbuf.name,dblock.dbuf.linkname,dblock.dbuf. <br />  compid,sum－v); <br />  　　 else if (dblock.dbuf.linkflag==″2″) <br />  　　 printf(″％s\n\t\tsymbolic linked to ％s\tcompress=[％c]\tsum_v=％o\n, <br />  　　 ″dblock.dbuf.name,dblock.dbuf.linkname,dblock.dbuf. <br />  compid,sum_v); <br />  　　 else <br />  　　 printf(″％s\n\t ％8d byte－－&gt;％6d tape_blocks\tcompress=[％c]\tsum_v=％o\n″,dblock.dbuf.name,filesize,mvblock,dblock.dbuf.cmpid,sum_v);</p>
<p>　　 } <br />  　　 printf(″Total=％dK\n″,ftell(fp)/1024); <br />  　　 fclose(fp); <br />  　　 }</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 23:55:49</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%b1%9e%e6%80%a7/" title="属性">属性</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e5%ad%97%e8%8a%82/" title="字节">字节</a>, <a href="https://www.iamivan.net/tag/tar/" title="tar">tar</a>, <a href="https://www.iamivan.net/tag/char/" title="char">char</a>, <a href="https://www.iamivan.net/tag/strncmp/" title="strncmp&lpar;&rpar;">strncmp&lpar;&rpar;</a>, <a href="https://www.iamivan.net/tag/%e5%85%ab%e8%bf%9b%e5%88%b6/" title="八进制">八进制</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8c%e8%bf%9b%e5%88%b6%e6%96%87%e4%bb%b6%e5%a4%b4/" title="二进制文件头">二进制文件头</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8c%e8%bf%9b%e5%88%b6%e7%8a%b6%e6%80%81%e5%8e%8b%e7%bc%a9dpacm/" title="二进制状态压缩dpacm">二进制状态压缩dpacm</a>, <a href="https://www.iamivan.net/tag/tarfile/" title="tarfile">tarfile</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>UNIX操作系统tar命令之隐患及解决方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvK1LVp.html" rel="bookmark">对话框打开时命令无法执行的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				双击word文档老是出现:&quot;对话框打开时命令无法执行.单击&quot;确定&quot;,然后关闭对话框以继续&quot;的提示,觉得很奇怪,到网上搜了一下,发现问题 是杀毒软件对office2003支持不好的原因(只有安装了OFFICE2003才有此现象),我的就是安装的office2003.出现对话框的原因 是:在杀毒软件的选项中,启用了office插件的保护功能,去掉选项,打开word文件时就不会出现这个对话框. 一.如果你安装的是诺顿 具体的解决方法是: 右键点击右下角的图标,选择 &qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn61Erp.html" rel="bookmark">关于Linux操作系统下终端乱码的完美解决方法&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				初入linux的程序员们,经常会受到乱码的问候.可谓&quot;始乱终弃&quot;.因为乱码,并且最终放弃了linux的不在少数.好吧,言归正传,先看看各类乱码是怎么形成的. 中文字符乱码 这种情况一般是安装了中文控制端,但没有启用中文应用造成的.只需要启动相应软件即可,如zhcon.或者是启用了相应软件,但字符集不对,需设置相应字符集,例如export LANG=zh_CN.UTF-8 ORACLE安装界面乱码 虽说ORACLE支持多国语言,会根据环境变量自动选择字符集,但中文安装好像还有问题,不过1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK7a9Wb.html" rel="bookmark">WindowsXP&comma;Win 7操作系统常见死机问题的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大家都知道死机是你在使用计算机过程中最常见的故障之一,而造成死机的原因却扑朔迷离,让人难以捉摸.在以前dos时代,造成死机原因通常是以病毒为主,当然也有其它方面的原因,如应用软件的设置等等,所以解决死机也就有一定的模式,具体就是先杀毒,检查硬盘空间是不是够用,接着检查 autoexec.bat和config.sys文件中是否有错误命令,如果问题还得不到解决,可以检查检查硬件,如此而已.而现在却不同啦,现在是 windows时代了,造成死机的原因却是千变万化,所以处理起来相当的棘手.不管咋样,解决			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b2n2qb.html" rel="bookmark">Windows操作系统出现死机故障的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				window|解决|window 当你在电脑前勿匆忙忙赶自己长达几万字报告的时候,当你正津津有味地玩电脑游戏的时候,突然屏幕不再有任何变化,随便你敲打键盘上的哪个键或是不停地左右晃动&quot;小老鼠&quot;都不起作用,这种情况一定会让你急出一身的汗--为什么总在关键的时刻就死机了呢?于是你开始想尽一切办法试图挽救你的文件,同时嘴里还要不停地啼叨&quot;该死的电脑,怎么老是死机,有没有不死机的电脑?&quot;. 玩电脑这么久,我还没有遇见过不死机的电脑,无论我的朋友是&quot;菜鸟&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4wEK9p.html" rel="bookmark">iisapp命令不能使用的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.iisapp的环境 1.windows 2003+iis 6.0 2..net环境 二.问题描述 1.在任务管理 器中增加显示pid字段.就可以看到占用内存或者cpu最高的进程pid 2.在命令 cmd命令行提示符下运行 iisapp -a.注意,第一次运行,会提示没有js支持,点击确定.然后再次运行就可以了.这样就可以看到pid对应的应用程序池. 3.到IIS中察看该应用程序池对应的网站,就ok了,做出上面的内存或CPU方面的限制,或检查程序有无死循环之类的问题. 可是我敲入iisapp后			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN1dXJb.html" rel="bookmark">windows系统中regedit命令没有反应的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们有时候在&quot;运行&quot;对话框中输入&quot;regedit&quot;命令后无任何反应,此时很有可能是注册表被禁用访问了,很有可能是电脑中毒了!在使用过优化软件时也有可能会造成此问题.下面小编就为大家带来注册表编辑器没有反应问题的解决办法. 如果是注册表被阻止访问,则单击屏幕左下角&quot;开始&quot;按钮,从弹出菜单中选择&quot;运行&quot;命令: 在弹出的&quot;运行&quot;对话框中的文本输入框中输入&quot;Gpedit.msc&quot;,并单击&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWKRAeM.html" rel="bookmark">Sendmail在Unix&sol;Linux环境下554错误的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   Sendmail 是在 Unix/Linux 环境下十分流行媛的邮件发送服务程序.但是其配置十分繁琐,问题也很多.本文解决了不能发信的一个问题. 问题: 每次发送的邮件都报告: ----- Transcript of session follows ----- 554 5.0.0 MX list for example.com. points back to e			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baaDOwb.html" rel="bookmark">iisapp命令不能使用的解决方法&lowbar;win服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.iisapp的环境    1.windows 2003+iis 6.0 2..net环境 二.问题描述 1.在任务管理 器中增加显示pid字段.就可以看到占用内存或者cpu最高的进程pid2.在命令 cmd命令行提示符下运行 iisapp -a.注意,第一次运行,会提示需要使用cscript支持(wscript与cscript的区别),点击确定.然后再次运行就可以了.这样就可以看到pid对应的应用程序池. 3.到IIS中察看该应用程序池对应的网站,就ok了,做出上面的内存或CPU方面的限制,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlBLVLz.html" rel="bookmark">Windows8操作系统假死的原因和解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大部分半卡死的现象是因为Dynamic Tick的一个Bug.Dynamic Tick是NT 6.2内核的一个新功能(其实Linux早就有了),原理的话大概是在空闲的时候把CPU完全暂停,来节省电量. 但是貌似这个技术还不是很成熟,对&quot;空闲&quot;的判断有时候会出错,所以正常使用的时候CPU也可能会暂停,出现假死.RP出过一个补丁修复过一次,但是貌似还是没有完全修复. 解决办法就是把它关掉,关掉之后内核的行为就回到Win7的样子了.所以还是会和Win7一样费电,但是应该就不会假死了. 关闭的			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyOgvz.html" rel="bookmark" class="title">一个产生随机密码的函数</a>
					<div>
						函数|随机|随机密码 一个产生随机密码的函数 &lt;? function MakePass($length) { $possible = &quot;0123456789!@#$%^&amp;*() ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLO2oaM.html" rel="bookmark" class="title">在不同字符集的数据库之间导入数据的方法</a>
					<div>
						以US7ASCII的库中导出的数据导入到字符集为ZHS16GBK的库为例子: 假设US7ASCII的库是A机,字符集为ZHS16GBK的库为B机 1.确定你A机上的oracle用户的.profile文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB209ab.html" rel="bookmark" class="title">Tips：不要让临时表空间影响数据库性能</a>
					<div>
						在Oracle数据库中进行排序.分组汇总.索引等到作时,会产生很多的临时数据.如有一张员工信息表,数据库中是安装记录建立的时间来保存的.如果用户查询时,使用Order BY排序语句指定按员工编号来排序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL06Yb.html" rel="bookmark" class="title">INI参数&lpar;文本文件&rpar;的读写</a>
					<div>
						//参数(文本文件)的读写,by chillming import java.io.*; public class IniFile{ private String FileName = &quot;& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx32kb.html" rel="bookmark" class="title">Photoshop绘制身穿毛衣的可爱小蜜蜂</a>
					<div>
						  Photoshop绘制身穿毛衣的可爱小蜜蜂            最终效果 1.新建文档:900x900 px,填充#e9cdc3作为背景色. 用钢笔工具绘制出下面图中的形状~注意要加个可爱的小刺 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPgG0z.html" rel="bookmark" class="title">一句代码解决IE8兼容问题</a>
					<div>
						IE更新的速度实在太快了,ie7还未普及,ie8就来了,这样广大的站长朋友就有的辛苦了,要计划网站的重新改版了,而这篇文章就是寻求最简单的方法解决ie8兼容问题,当然这只是最简单的方法解决了兼容问题, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBAkWb.html" rel="bookmark" class="title">数据库移植到SQL Server 2008R2出现&OpenCurlyDoubleQuote;3145错误&rdquo;怎么办</a>
					<div>
						  SQL Server 2000数据库移植到SQL Server 2008R2数据库服务器中碰到的&quot;3145错误&quot;及解决办法 辛苦忙碌了一个星期终于安装配置好了TFS服务器,给每 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDA1ELb.html" rel="bookmark" class="title">JavaScript中setAttribute用法介绍</a>
					<div>
						我们经常需要在JavaScript中给Element动态添加各种属性,这可以通过使用setAttribute()来实现,这就涉及到了浏览器的兼容性问题   setAttribute(string na ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrlm4p.html" rel="bookmark" class="title">PS打造牛仔布料文字效果</a>
					<div>
						先来看看最终的效果图吧: photoshop教程效果图 再来一个网友通过本例制作的效果图: 具体的制作步骤如下: 1.打开PS新建一个800*600像素,分辨率为:72.背景为白色的文件,如下图. 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EE73M.html" rel="bookmark" class="title">浅析网站登录界面设计</a>
					<div>
						  无论网页或是移动APP的设计,很重要的一点是如何能在小而美和功能复杂性之间找到平衡点.本文就移动APP表单设计进行浅析,看设计师是如何在设计与交互体验之间做到小而美的平衡. 一.极致的减法 这是一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGgx1p.html" rel="bookmark" class="title">酷狗音乐盒2015怎么开启蝰蛇音效&quest;</a>
					<div>
						  第一步:打开酷狗音乐.选择音效. 第二步:蝰蛇音效有四个类别供大家选择. 第三步:选择好需要的音效后,点击蝰蛇音效的开关按钮.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKlRKM.html" rel="bookmark" class="title">鼠标输入法是什么</a>
					<div>
						  鼠标输入法是一种用偏旁部首联想偏旁部首或汉字的输入过程,该输入法采用了汉字模块积木技术发明专利方案,而且加上精确的定位显示输入,只要您用鼠标轻轻三两点就可输入想要的汉字,使98%的常用汉字用鼠标3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArO3Xp.html" rel="bookmark" class="title">Win8一大亮点：方便SkyDrive云存储的数据同步</a>
					<div>
						Win8操作系统发布已经过去有段时间了.尽管相对之前的版本,Win8操作系统的销量或许并不是那么的迅猛.但是持续的增长趋势还是让我们看到了Win8很可能成为2013年最受关注的操作系统.就算还是有很多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmaX8z.html" rel="bookmark" class="title">关于INDEX SERVER&plus;ASP建立查询引擎的一点心得</a>
					<div>
						    说起INDEX SERVER,我自己本来用的也不多,不过前两天公司要做一个INDEX的搜索,我从网上找了好多的资料,仔细分析了以后自己启动了索引服务,并进行了ASP程序的设计,第一天程序运行正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwjDvM.html" rel="bookmark" class="title">网页-python 中提交json问题</a>
					<div>
						问题描述 python 中提交json问题 info={&quot;name&quot;:&quot;user&quot;} jinfo=json.dumps(info) 然后urllib2.urlo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxow5Gb.html" rel="bookmark" class="title">office一直提示windows正在设置office怎么办？</a>
					<div>
						解决此问题有两种方法,下面给各位介绍一下. 方案一: 如果这样我们可以百度搜索&quot;VB Office提示修复工具&quot;下载然后利用VB Office提示修复工具来修复我们的问题哦. 方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QgB6p.html" rel="bookmark" class="title">error&colon; &OpenCurlyQuote;ostream&lowbar;iterator&rsquo; was not declared in this scope</a>
					<div>
						 编译程序时出现如下错误error: 'ostream_iterator' was not declared in this scope 解决方法如下:在头文件中加入iterator这个头文件 #in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRYEEz.html" rel="bookmark" class="title">STM32F0308开发环境的选择--CooCox CoIDE篇</a>
					<div>
						STM32的开发环境有很多总,官方手册也提供了IAR Embedded Workbench.MDK-ARM和TrueSTUDIO这3种.今天我试用了CooCox CoIDE,是免费的集成开发环境,同T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxaQdb.html" rel="bookmark" class="title">MySQL发生错误：The user specified as a definer &lpar;XXXXXX&commat;XXX&rpar; does not exist</a>
					<div>
						问题描述 MySQL发生错误:The user specified as a definer (XXXXXX@XXX) does not exist不知道是什么问题 解决方案 意思是某个数据库对象的定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYj6N9p.html" rel="bookmark" class="title">asp&period;net动态生成控件-asp&period;net 动态生成checkboxlist的问题</a>
					<div>
						问题描述 asp.net 动态生成checkboxlist的问题 从数据库随机取一些记录动态生成多个checkboxlist,怎么把用户选择的结果保存?好像一点提交,checkboxlist就重新生成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvrwg6M.html" rel="bookmark" class="title">visual studio-【提问】VS2015里面Web项目的 启用C&num;6 &sol; VB14 是干嘛用的</a>
					<div>
						问题描述 [提问]VS2015里面Web项目的 启用C#6 / VB14 是干嘛用的 点这个就会从nuget下一个Microsoft.CodeDom.Providers.DotNetCompilerP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRo9Nb.html" rel="bookmark" class="title">Extjs做Grid时的问题？</a>
					<div>
						问题描述 用extjs+json时出错,grid怎么也不显示数据,为什么?帮忙看看,谢谢,急死了functionset_grid(){varstore=newExt.data.Store({proxy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAO04p.html" rel="bookmark" class="title">java-android在调用发短信界面以后怎么返回app</a>
					<div>
						问题描述 android在调用发短信界面以后怎么返回app 我现在back键返回到桌面了 请问怎么才能回到发短信前的activity 谢谢 解决方案 你跳转到发短信页面的时候,别把当前的activit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBVW0M.html" rel="bookmark" class="title">数据库内核月报 － 2015 &sol; 09-PgSQL &CenterDot; 特性分析 &CenterDot; clog异步提交一致性、原子操作与fsync</a>
					<div>
						本文分为三节,分别介绍clog的fsync频率,原子操作,与异步提交一致性. PostgreSQL pg_clog fsync 频率分析 分析一下pg_clog是在什么时候需要调用fsync的? 首先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0ly4M.html" rel="bookmark" class="title">bootmgr is compressed 解决办法 汇总</a>
					<div>
						开机bootmgr is compressed. 开机的时候出现&quot;BOOTMGR is compressed Press Ctrl+Alt+Del to restart&quot;. 事件发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJA0KVp.html" rel="bookmark" class="title">ruby 怎么利用正则表达式在把一个字符串数组中的数字放到一个数组中？</a>
					<div>
						问题描述 ruby 怎么利用正则表达式在把一个字符串数组中的数字放到一个数组中?str='100good200bad300ok'问题补充:说错了是把一个字符串中的所有数字放到一个数组中:)问题补充:是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnrB4M.html" rel="bookmark" class="title">测试IP是否连通是经常报错</a>
					<div>
						问题描述 usingSystem;usingSystem.Net;usingSystem.Text;usingSystem.Net.NetworkInformation;usingSystem.Win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlL9mp.html" rel="bookmark" class="title">使用Perl DBI操作MySQL的一些建议&lowbar;Mysql</a>
					<div>
						使用perl连接mysql,这个网上有很多案例了,一般大家都是DBI下的DBD::MySQL这个模块进行．这里做一个mask弄一个TIPS:  Perl DBI MySQL的字符集为UTF8  Per ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ21a4z.html" rel="bookmark" class="title">html文本框提示效果的示例代码&lowbar;javascript技巧</a>
					<div>
						完整代码如下: 复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot;&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYPoqb.html" rel="bookmark" class="title">Windows 7系统显卡硬件加速怎么开启？</a>
					<div>
						Win7系统显卡硬件加速怎么开启?为什么要开启显卡硬件加速?如果用户在玩游戏或者看视频的时候发现当前动态视野(视频)不够流畅,就可以开启显卡硬件加速来弥补硬件性能的问题. 注意,要支持硬件加速有以下几 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
